# coding: utf-8
import re, codecs, sys

#
#	コマンド行引数検査
#
if len( sys.argv ) != 2:
	print u"sample4.py：シフトJIS texファイルをutf-8へ変換します。"
	print u"使い方： sample4.py [texファイル名(.tex)]"
	sys.exit(0)

#
#	ファイル名検査とファイルオープン
#
src = sys.argv[1]
if re.search( r"\.tex$", src ) == None:
	print u"sample4.py：シフトJIS texファイルをutf-8へ変換します。"
	print u"使い方： sample4.py [texファイル名(.tex)]"
	sys.exit(0)
dst = re.sub( r"\.tex$", ".txt", src )
print u"変換元ファイル名:", src
print u"変換先ファイル名:", dst
try:
	fin  = codecs.open( src, "r", "shift_jis" )
	fout = codecs.open( dst, "w", "utf_8" )
except IOError:
	print u"ファイルオープンエラーです。"
	sys.exit(0)

#
#	shift-jis から utf-8 への変換
#
str = unicode( fin.read() )
fout.write( str )

